<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 10/7/2018
 * Time: 1:13 AM
 */


include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $condominio = $condominioData["condominio_id"];
        $amenidades = R::findAll( 'amenidad', 'id_condominio = ?', [$condominio]);
        foreach ($amenidades as $valor) {
            $idame= $valor['id'];
            $fotosamenidades = R::findAll( 'fotoamenidad', 'id_amenidad = ?', [$idame]);
            $amenidades[$idame]['fotos']=$fotosamenidades;
        }
        include '../comun/mensajeOk.php';
        print_r(json_encode($amenidades));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}